# ApplicationFramework
TKPShape
PGeom

# PGeom_AxisPlacement Class Reference

`#include <PGeom_AxisPlacement.hxx>`

Inheritance diagram for PGeom_AxisPlacement:

[legend]

## Public Member Functions

Standard_EXPORT void | Axis (const gp_Ax1 &aAxis)
| Set the field axis with <aaxis>. .
Standard_EXPORT gp_Ax1 | Axis () const
| Returns the value of the field axis. .
| PGeom_AxisPlacement (const Storage_stCONSTclCOM &a)
const gp_Ax1 & | _CSFDB_GetPGeom_AxisPlacementaxis () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Protected Member Functions

Standard_EXPORT | PGeom_AxisPlacement ()
| Initializes the field(s) with default value(s). .
Standard_EXPORT | PGeom_AxisPlacement (const gp_Ax1 &aAxis)
| Initializes the field axis with <aaxis>. .

## Protected Attributes

gp_Ax1 | axis

## Constructor & Destructor Documentation

PGeom_AxisPlacement::PGeom_AxisPlacement | ( | const Storage_stCONSTclCOM & | a | ) | `[inline]`

Standard_EXPORT PGeom_AxisPlacement::PGeom_AxisPlacement | ( |  | ) | `[protected]`

Standard_EXPORT PGeom_AxisPlacement::PGeom_AxisPlacement | ( | const gp_Ax1 & | aAxis | ) | `[protected]`

## Member Function Documentation

const gp_Ax1& PGeom_AxisPlacement::_CSFDB_GetPGeom_AxisPlacementaxis | ( |  | ) | const`[inline]`

Standard_EXPORT gp_Ax1 PGeom_AxisPlacement::Axis | ( |  | ) | const

Standard_EXPORT void PGeom_AxisPlacement::Axis | ( | const gp_Ax1 & | aAxis | ) |

Standard_EXPORT const PGeom_AxisPlacement::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from PGeom_Geometry. Reimplemented in PGeom_Axis1Placement, and PGeom_Axis2Placement.

## Field Documentation

gp_Ax1 PGeom_AxisPlacement::axis `[protected]`

The documentation for this class was generated from the following file:

- PGeom_AxisPlacement.hxx